# FETCHNEWS

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES

## NAME

fetchnews - retrieve new articles from peer and feed to Cyrus

## SYNOPSIS

fetchnews [ -C config-file ] [ -s servername[:port] ]
[ -n ] [ -y ] [ -w wildmat ] [ -f tstampfile ]
[ -a authname [ -p password ] ] peername

## DESCRIPTION

Fetchnews retrieves news articles from a peer news server and feeds them to a Cyrus server. Fetchnews connects to the peer specified by peername, requests new articles since the time stored in tstampfile and feeds them to servername.

Fetchnews reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

## OPTIONS

-C config-file

Read configuration options from config-file.

-s servername

Hostname of the Cyrus server (with optional port) to which articles should be fed. Defaults to "localhost:nntp".

| -n |  | Don’t use the NEWNEWS command. Fetchnews will keep track of the high and low water marks for each group and use them to fetch new articles.
| -y |  | Use 4 instead of 2 digits for year. 2-digits are rfc977- but not y2k-compliant.

-w wildmat

Wildmat pattern specifying which newsgroups to search for new articles. Defaults to "*".

-f tstampfile

File in which to read/write the timestamp of when articles were last retrieved. Defaults to "newsstamp" located in configdir as specified by the configuration options.

-a authname

Userid to use for authentication.

-p password

Password to use for authentication.

## FILES

/etc/imapd.conf